Attribute VB_Name = "modManageChannels"
Private Channels() As String

Public Sub ImportChannels()
    Dim arr(), i As Integer, F As String, FF As Integer, FS As New FileSystemObject, L As String
    arr = Array("USWest", "USEast", "Europe", "Asia", "PvPGN")
    ReDim Channels(4, 49)
    F = AppData & "Data\Channels\"
    FF = FreeFile
    If FS.FolderExists(F) = False Then FS.CreateFolder F
    For i = 0 To UBound(arr)
        Open F & arr(i) & ".dat" For Append As #FF
        Close #FF
        
        Dim X As Integer
        Open F & arr(i) & ".dat" For Input As #FF
            Do Until EOF(FF)
            Line Input #FF, L
                If LenB(L) And X < 50 Then
                    Channels(i, X) = L
                End If
            Loop
        Close #FF
        X = 0
    Next i
End Sub
